// src/common/logger/logger.module.ts
import { Module } from '@nestjs/common';
import { WinstonModule } from 'nest-winston';
import { winstonLoggerOptions } from './services/winston.logger';
import { TypeOrmWinstonLogger } from './services/typeorm.logger';

@Module({
  imports: [WinstonModule.forRoot(winstonLoggerOptions)],
  providers: [TypeOrmWinstonLogger],
  exports: [TypeOrmWinstonLogger],
})
export class LoggerModule {}
