import { IsNotEmpty, IsOptional, IsString, IsUUID } from 'class-validator';

export class CommunityDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public name: string;

  @IsString()
  @IsOptional()
  public description?: string;

  @IsUUID()
  @IsNotEmpty()
  public regionId: string;
}
