import { Column, Entity, OneToMany, Unique } from 'typeorm';
import { AbstractEntity } from '../../abstract/entities/abstract.entity';
import { RoleTypeDto } from '../dtos/role.type.dto';
import { RoleType } from '@app/common/constants/role.type.enum';
import { UserEntity } from '../../user/entities';
import { InviteUserEntity } from '../../Invite-user/entities';

@Entity({ name: 'role-type' })
@Unique(['type'])
export class RoleTypeEntity extends AbstractEntity<RoleTypeDto> {
  @Column({
    nullable: false,
    enum: Object.values(RoleType),
  })
  // why is this ts-type string not enum?
  type: string;
  @OneToMany(() => UserEntity, (inviteUser) => inviteUser.roleType, {
    nullable: true,
  })
  users: UserEntity[];
  @OneToMany(() => InviteUserEntity, (inviteUser) => inviteUser.roleType, {
    nullable: true,
  })
  invitedUsers: InviteUserEntity[];
  constructor(partial: Partial<RoleTypeEntity>) {
    super();
    Object.assign(this, partial);
  }
}
