import { Injectable } from '@nestjs/common';
import { PermissionTypeSeeder } from './permission.type.seeder';
import { RoleTypeSeeder } from './role.type.seeder';
import { SuperAdminSeeder } from './supper.admin.seeder';
import { RegionSeeder } from './regions.seeder';
import { TimeZoneSeeder } from './timezone.seeder';
import { SceneIconSeeder } from './scene.icon.seeder';
@Injectable()
export class SeederService {
  constructor(
    private readonly permissionTypeSeeder: PermissionTypeSeeder,
    private readonly roleTypeSeeder: RoleTypeSeeder,
    private readonly regionSeeder: RegionSeeder,
    private readonly timeZoneSeeder: TimeZoneSeeder,
    private readonly superAdminSeeder: SuperAdminSeeder,
    private readonly sceneIconSeeder: SceneIconSeeder,
  ) {}

  async seed() {
    await this.permissionTypeSeeder.addPermissionTypeDataIfNotFound();
    await this.roleTypeSeeder.addRoleTypeDataIfNotFound();
    await this.regionSeeder.addRegionDataIfNotFound();
    await this.timeZoneSeeder.addTimeZoneDataIfNotFound();
    await this.superAdminSeeder.createSuperAdminIfNotFound();
    await this.sceneIconSeeder.createSceneDefaultIconIfNotFound();
  }
}
