WITH params AS (
    SELECT 
        TO_DATE(NULLIF($1, ''), 'MM-YYYY') AS month,
        string_to_array(NULLIF($2, ''), ',') AS device_ids 
)

SELECT 
  A.date,
  SUM(A.energy_consumed_kW::numeric) AS total_energy_consumed_KW,
  SUM(A.energy_consumed_A::numeric) AS total_energy_consumed_A,
  SUM(A.energy_consumed_B::numeric) AS total_energy_consumed_B,
  SUM(A.energy_consumed_C::numeric) AS total_energy_consumed_C
FROM public."power-clamp-energy-consumed-daily" AS A
JOIN public.device AS B
  ON A.device_uuid::TEXT = B."uuid"::TEXT
JOIN params P ON TRUE
WHERE B."uuid"::TEXT = ANY(P.device_ids)
  AND (P.month IS NULL OR date_trunc('month', A.date)= P.month)
GROUP BY A.date
ORDER BY A.date;
