import { PlatformType } from '@app/common/constants/platform-type.enum';
import { ApiProperty } from '@nestjs/swagger';
import { IsEmail, IsEnum, IsOptional, IsString } from 'class-validator';

export class UserLoginDto {
  @ApiProperty()
  @IsEmail()
  @IsOptional()
  email?: string;

  @ApiProperty()
  @IsString()
  @IsOptional()
  password?: string;

  @ApiProperty()
  @IsString()
  @IsOptional()
  regionUuid?: string;

  @IsOptional()
  @IsString()
  googleCode?: string;

  @ApiProperty()
  @IsOptional()
  @IsEnum(PlatformType)
  platform?: PlatformType;
}
