import { Global, Module } from '@nestjs/common';
import { BookableSpaceController } from './controllers';
import { BookableSpaceService } from './services';
import { BookableSpaceEntityRepository } from '@app/common/modules/booking/repositories';
import { SpaceRepository } from '@app/common/modules/space';

@Global()
@Module({
  controllers: [BookableSpaceController],
  providers: [
    BookableSpaceService,
    BookableSpaceEntityRepository,
    SpaceRepository,
  ],
  exports: [BookableSpaceService],
})
export class BookingModule {}
