import { Controller, Post, Body } from '@nestjs/common';
import { ApiOperation, ApiTags } from '@nestjs/swagger';
import { RegisterClientDto } from '../dtos/register-client.dto';
import { ClientService } from '../services';
import { ControllerRoute } from '@app/common/constants/controller-route';
import { ClientTokenDto } from '../dtos/token-client.dto';
import { EnableDisableStatusEnum } from '@app/common/constants/days.enum';

@ApiTags('OAuth Clients')
@Controller({
  version: EnableDisableStatusEnum.ENABLED,
  path: ControllerRoute.CLIENT.ROUTE,
})
export class ClientController {
  constructor(private readonly clientService: ClientService) {}

  @Post('register')
  @ApiOperation({
    summary: ControllerRoute.CLIENT.ACTIONS.REGISTER_NEW_CLIENT_SUMMARY,
    description: ControllerRoute.CLIENT.ACTIONS.REGISTER_NEW_CLIENT_DESCRIPTION,
  })
  async registerClient(@Body() dto: RegisterClientDto) {
    return this.clientService.registerClient(dto);
  }
  @Post('token')
  @ApiOperation({
    summary: ControllerRoute.CLIENT.ACTIONS.LOGIN_CLIENT_SUMMARY,
    description: ControllerRoute.CLIENT.ACTIONS.LOGIN_CLIENT_DESCRIPTION,
  })
  async login(@Body() dto: ClientTokenDto) {
    return this.clientService.loginWithClientCredentials(dto);
  }
}
