import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class UpdateCommunityNameDto {
  @ApiProperty({
    description: 'community name',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public name: string;

  constructor(dto: Partial<UpdateCommunityNameDto>) {
    Object.assign(this, dto);
  }
}
