import { ApiProperty } from '@nestjs/swagger';
import { IsString, IsNotEmpty } from 'class-validator';

export class ActivateCodeDto {
  @ApiProperty({
    description: 'The activation code of the user',
    example: '7CvRcA',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  activationCode: string;

  @ApiProperty({
    description: 'The UUID of the user',
    example: 'd7a44e8a-32d5-4f39-ae2e-013f1245aead',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  userUuid: string;
}
