import { Injectable } from '@nestjs/common';
import { RoleTypeRepository } from './../../../libs/common/src/modules/role-type/repositories/role.type.repository';
import { RoleType } from '@app/common/constants/role.type.enum';

@Injectable()
export class RoleService {
  constructor(private readonly roleTypeRepository: RoleTypeRepository) {}

  async fetchRoleTypes() {
    const roleTypes = await this.roleTypeRepository.find();
    const roles = roleTypes.filter(
      (roleType) => roleType.type !== RoleType.SUPER_ADMIN,
    );
    return roles;
  }
  async findRoleByType(roleType: RoleType) {
    const role = await this.roleTypeRepository.findOne({
      where: {
        type: roleType,
      },
    });
    return role;
  }
}
