import { Module } from '@nestjs/common';
import { SceneService } from './services/scene.service';
import { SceneController } from './controllers/scene.controller';
import { ConfigModule } from '@nestjs/config';
import { SpaceRepositoryModule } from '@app/common/modules/space/space.repository.module';
import { SpaceRepository } from '@app/common/modules/space/repositories';
import { DeviceService } from 'src/device/services';
import { DeviceRepository } from '@app/common/modules/device/repositories';
import { ProductRepository } from '@app/common/modules/product/repositories';
import { DeviceStatusFirebaseModule } from '@app/common/firebase/devices-status/devices-status.module';
import {
  SceneIconRepository,
  SceneRepository,
} from '@app/common/modules/scene/repositories';
import { TuyaService } from '@app/common/integrations/tuya/services/tuya.service';
import { SceneDeviceRepository } from '@app/common/modules/scene-device/repositories';
import { AutomationRepository } from '@app/common/modules/automation/repositories';
import { ProjectRepository } from '@app/common/modules/project/repositiories';
import { CommunityRepository } from '@app/common/modules/community/repositories';

@Module({
  imports: [ConfigModule, SpaceRepositoryModule, DeviceStatusFirebaseModule],
  controllers: [SceneController],
  providers: [
    SceneService,
    SpaceRepository,
    DeviceService,
    TuyaService,
    DeviceRepository,
    ProductRepository,
    SceneIconRepository,
    SceneRepository,
    ProjectRepository,
    SceneDeviceRepository,
    AutomationRepository,
    CommunityRepository,
  ],
  exports: [SceneService],
})
export class SceneModule {}
