import { SubspaceModelProductAllocationEntity } from '@app/common/modules/space-model';
import { NewTagEntity } from '@app/common/modules/tag';

export type IUpdatedAllocations = {
  allocation?: SubspaceModelProductAllocationEntity;
  tagsRemoved?: NewTagEntity[];
  tagsAdded?: NewTagEntity[];
  newAllocation?: SubspaceModelProductAllocationEntity;
  deletedAllocation?: SubspaceModelProductAllocationEntity;
};

export interface ISubspaceProductAllocationUpdateResult {
  createdAllocations: ICreatedAllocation[];
  updatedAllocations: IUpdatedAllocation[];
  deletedAllocations: IDeletedAllocation[];
}

export interface ICreatedAllocation {
  allocation: SubspaceModelProductAllocationEntity;
  tags: NewTagEntity[];
}

export interface IUpdatedAllocation {
  allocation: SubspaceModelProductAllocationEntity;
  tagsAdded: NewTagEntity[];
  tagsRemoved: NewTagEntity[];
}

export interface IDeletedAllocation {
  allocation: SubspaceModelProductAllocationEntity;
  tagsRemoved: NewTagEntity[];
}
