import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class CreateTagDto {
  @ApiProperty({
    description: 'Tag associated with the space or subspace',
    example: 'Temperature Control',
  })
  @IsNotEmpty()
  @IsString()
  tag: string;

  @ApiPropertyOptional({
    description: 'UUID of the tag  (required for update/delete)',
    example: '123e4567-e89b-12d3-a456-426614174000',
  })
  @IsOptional()
  @IsString()
  uuid?: string;

  @ApiProperty({
    description: 'ID of the product associated with the tag',
    example: '123e4567-e89b-12d3-a456-426614174000',
  })
  @IsNotEmpty()
  @IsString()
  productUuid: string;
}
