import { Module } from '@nestjs/common';
import { TimeZoneService } from './services/timezone.service';
import { TimeZoneController } from './controllers/timezone.controller';
import { ConfigModule } from '@nestjs/config';
import { TimeZoneRepository } from '@app/common/modules/timezone/repositories';

@Module({
  imports: [ConfigModule],
  controllers: [TimeZoneController],
  providers: [TimeZoneService, TimeZoneRepository],
  exports: [TimeZoneService],
})
export class TimeZoneModule {}
