import { Module } from '@nestjs/common';
import { UserService } from './services/user.service';
import { UserController } from './controllers/user.controller';
import { ConfigModule } from '@nestjs/config';
import {
  UserRepository,
  UserSpaceRepository,
} from '@app/common/modules/user/repositories';
import { RegionRepository } from '@app/common/modules/region/repositories';
import { TimeZoneRepository } from '@app/common/modules/timezone/repositories';
import { UserSpaceController } from './controllers';
import { CommunityModule } from 'src/community/community.module';
import { UserSpaceService } from './services';
import { CommunityRepository } from '@app/common/modules/community/repositories';
import {
  InviteSpaceRepository,
  SpaceRepository,
} from '@app/common/modules/space/repositories';
import { UserDevicePermissionService } from 'src/user-device-permission/services';
import { DeviceUserPermissionRepository } from '@app/common/modules/device/repositories';
import { PermissionTypeRepository } from '@app/common/modules/permission/repositories';
import {
  InviteUserRepository,
  InviteUserSpaceRepository,
} from '@app/common/modules/Invite-user/repositiories';

@Module({
  imports: [ConfigModule, CommunityModule],
  controllers: [UserController, UserSpaceController],
  providers: [
    UserService,
    UserRepository,
    RegionRepository,
    SpaceRepository,
    TimeZoneRepository,
    UserSpaceRepository,
    CommunityRepository,
    UserDevicePermissionService,
    DeviceUserPermissionRepository,
    PermissionTypeRepository,
    UserSpaceService,
    InviteSpaceRepository,
    InviteUserRepository,
    InviteUserSpaceRepository,
  ],
  exports: [UserService],
})
export class UserModule {}
