import {
  ValidatorConstraint,
  ValidatorConstraintInterface,
  ValidationArguments,
} from 'class-validator';

@ValidatorConstraint({ name: 'fileValidator', async: false })
export class FileValidator implements ValidatorConstraintInterface {
  constructor(private readonly allowedMimeTypes: string[]) {}

  validate(file: Express.Multer.File, _args: ValidationArguments) {
    if (!file || !file.mimetype) return false;
    return this.allowedMimeTypes.includes(file.mimetype);
  }

  defaultMessage(_args: ValidationArguments) {
    return 'Invalid file type';
  }
}
