import { ApiProperty } from '@nestjs/swagger';
import { Type } from 'class-transformer';
import { IsNumber } from 'class-validator';

export class GetWeatherDetailsDto {
  @ApiProperty({
    description: 'Latitude coordinate',
    example: 35.6895,
  })
  @IsNumber()
  @Type(() => Number)
  lat: number;

  @ApiProperty({
    description: 'Longitude coordinate',
    example: 139.6917,
  })
  @IsNumber()
  @Type(() => Number)
  lon: number;
}
